%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define gconf2_version 2.4.0.1

Summary: 	Metacity window manager
Name: 		metacity
Version: 	2.6.1
Release: 	1
URL: 		http://people.redhat.com/~hp/metacity/
Source: 	%{name}-%{version}.tar.bz2

Patch0:		metacity-2.6.1-aix.patch
Patch1:		metacity-2.6.1-autotools.patch

License: 	GPL
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.0.5
BuildRequires: pango-devel >= 1.0.3
BuildRequires: GConf2-devel >= 1.2.0
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: intltool >= 0.22

Requires: GConf2 >= %{gconf2_version}


%description
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/metacity-2.6.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/metacity-2.6.1-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="metacity.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files
%defattr(-,root,system)
%doc README AUTHORS COPYING NEWS HACKING
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/metacity-1
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome/wm-properties/metacity.desktop
%{_datadir}/metacity
%{_datadir}/themes
%{_datadir}/pixmaps
%{_datadir}/control-center-2.0
%{_datadir}/locale/*/LC_MESSAGES/metacity.mo

/usr/bin/*
/usr/lib/lib*.a
/usr/include/metacity-1
